Package org.lwjgl.opengl

# Class NVPrimitiveRestart

java.lang.Object
org.lwjgl.opengl.NVPrimitiveRestart

public final class NVPrimitiveRestart extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_PRIMITIVE_RESTART_INDEX_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_PRIMITIVE_RESTART_NV`
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glPrimitiveRestartIndexNV(int index)`
`static void`
`glPrimitiveRestartNV()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_PRIMITIVE_RESTART_NV

public static final int GL_PRIMITIVE_RESTART_NV
Accepted by the <array> parameter of EnableClientState and DisableClientState, by the <cap> parameter of IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_PRIMITIVE_RESTART_INDEX_NV

public static final int GL_PRIMITIVE_RESTART_INDEX_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

## Method Details

### glPrimitiveRestartNV

public static void glPrimitiveRestartNV()

### glPrimitiveRestartIndexNV

public static void glPrimitiveRestartIndexNV(int index)